<?php
session_start();

if(isset($_POST['connectionLink'])){
    $connectionLink = $_POST['connectionLink'];
    $captcha = $_POST['captcha_challenge'];
    if($captcha == $_SESSION['captcha']){
        require "config.php";
        
        
        
        if(preg_match('/^vmess:\/\/(.*)/',$connectionLink,$match)){
            $jsonDecode = json_decode(base64_decode($match[1]),true);
            $uuid = $jsonDecode['id'];
        }elseif(preg_match('/^vless:\/\/(.*?)\@/',$connectionLink,$match)){
            $uuid = $match[1];
            
        }elseif(preg_match('/^trojan:\/\/(.*?)\@/',$connectionLink,$match)){
            $uuid = $match[1];
        }else{
            $error = "لینک وارد شده معتبر نمی باشد";
        }
        if(!isset($error)){
            $info = getUserInfo($uuid);
            if(!is_array($info)){ $error = $info; $info = null;}
        }
    }
    else $error = "کد وارد شده معتبر نمی باشد";
    unlink ("CHECKTEMPCOOKIE.txt");
}
?>

    <!doctype html>
    <html lang="en">
      <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="fonts/icomoon/style.css">
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Style -->
        <link rel="stylesheet" href="css/style.css">
        <title>چکر</title>
      </head>
      <body>
      
    
      <div class="content">
        
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-md-10">
              
    
              <div class="row justify-content-center">
                <div class="col-md-6">
                  
                  <h4 class="heading mb-4">چکر</h4>
                  <p> کانفیگ را وارد کنید ، سپس کد تصویری را حل کنید و روی دکمه بررسی کلیک کنید</p>
    
                 <!-- <p><img src="images/undraw-contact.svg" alt="Image" class="img-fluid"></p> -->
    
    
                </div>
              <?php
              if(!isset($info) && !isset($error)){?>
                <div class="col-md-6">
                      <form class="mb-5" method="post">
        
        				
                        <div class="row">
                          <div class="col-md-12 form-group">
                            <textarea class="form-control" name="connectionLink" cols="30" rows="7" placeholder="کانفیگ را اینجا قرار دهید" required></textarea>
                          </div>
                        </div> 
        				
                        <div class="row">
                          <div class="col-md-6 form-group">
          					<img src="captcha.php?rand=" <?php echo rand(); ?> id="captcha">
                          </div>
                          <div class="col-md-6 form-group">
                            <input type="number" id="captcha" name="captcha_challenge" class="form-control" placeholder="عدد را بنویسید" required>
                          </div>
                        </div>
        				
                        <div class="row">
                          <div class="col-12">
                            <input type="submit" value="بررسی وضعیت" class="btn btn-primary rounded-0 py-2 px-4">
                          </div>
                        </div>
                      </form>
    
                </div>
              <?php } ?>
                  <?php 
                    if(isset($info)){
                        ?><div class="result" style="width:100%">
                                <table>
                                    <tr>
                                        <td><b>👦 اسم اکانت: </b></td>
                                        <td><?php echo $info['remark'];?></td>
                                    </tr>
                                    <tr>
                                        <td><b>📡 وضعیت حساب: </b></td>
                                        <td><?php echo $info['state'];?></td>
                                    </tr>
                                    <tr>
                                        <td><b>📥 آپلود: </b></td>
                                        <td><?php echo $info['up'];?></td>
                                    </tr>
                                    <tr>
                                        <td><b>📤 دانلود: </b></td>
                                        <td><?php echo $info['down'];?></td> 
                                    </tr>
                                    <tr>
                                        <td><b>🔋حجم کلی: </b></td>
                                        <td><?php echo $info['total'];?></td>
                                    </tr>
                                    <tr>  
                                        <td><b>⏳ حجم باقیمانده: </b></td>
                                        <td><?php echo $info['leftGb'];?></td>
                                    </tr>
                                    <tr>
                                        <td><b>📆 تاریخ اتمام: </b></td>
                                        <td><?php echo $info['endDate'];?></td>
                                    </tr>
                                    <tr>
                                        <td style="width:70%"><b>🧭 تعداد روز باقیمانده: </b></td>
                                        <td><?php echo $info['leftDay'];?></td>
                                    </tr>
                                </table>                    
                        </div>
                        <input
                            style="margin-top: 10px;"
                            action="action"
                            onclick="window.history.go(-1); return false;"
                            type="submit"
                            value="برگشت"
                            class="btn btn-primary rounded-0 py-2 px-4"
                        />
                        <?php
                    }
                    elseif(isset($error)){
                        ?><div class="result" style="width:100%"><?php echo $error?></div> 
                        <input
                            style="margin-top: 10px;"
                            action="action"
                            onclick="window.history.go(-1); return false;"
                            type="submit"
                            value="برگشت"
                            class="btn btn-primary rounded-0 py-2 px-4"
                        /><?php 
                    }?>
              </div>
            </div>
          </div>
        </div>
    
      </div>
    
      </body>
    </html>
    